Monasca REST API
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

test-requirements.txt 1.0KB

12345678910111213141516171819202122232425262728293031
  1. # The order of packages is significant, because pip processes them in the order
  2. # of appearance. Changing the order has an impact on the overall integration
  3. # process, which may cause wedges in the gate later.
  4. # Hacking already pins down pep8, pyflakes and flake8
  5. bandit>=1.1.0 # Apache-2.0
  6. bashate>=0.5.1 # Apache-2.0
  7. hacking!=0.13.0,<0.14,>=0.12.0 # Apache-2.0
  8. Babel!=2.4.0,>=2.3.4 # BSD
  9. coverage!=4.4,>=4.0 # Apache-2.0
  10. cassandra-driver!=3.6.0,>=3.3.0 # Apache-2.0
  11. fixtures>=3.0.0 # Apache-2.0/BSD
  12. httplib2>=0.9.1 # MIT
  13. influxdb>=2.9.2 # MIT
  14. mock>=2.0.0 # BSD
  15. funcsigs>=1.0.0;python_version=='2.7' or python_version=='2.6' # Apache-2.0
  16. oslotest>=3.2.0 # Apache-2.0
  17. stestr>=1.0.0 # Apache-2.0
  18. python-subunit>=1.0.0 # Apache-2.0/BSD
  19. # tempest
  20. testrepository>=0.0.18 # Apache-2.0/BSD
  21. testscenarios>=0.4 # Apache-2.0/BSD
  22. testtools>=2.2.0 # MIT
  23. tempest>=17.1.0 # Apache-2.0
  24. # documentation
  25. doc8>=0.6.0 # Apache-2.0
  26. sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
  27. os-api-ref>=1.4.0 # Apache-2.0
  28. reno>=2.5.0 # Apache-2.0
  29. openstackdocstheme>=1.18.1 # Apache-2.0